> ## Documentation Index
> Fetch the complete documentation index at: https://platform.monica.im/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Start building AI applications with Monica Open API in 5 minutes.

export const SupportCardGroup = () => <CardGroup cols={2}>

  <Card title="FAQ" icon="circle-question" href="/docs/en/faq">
    See frequently asked questions about api, account and billing questions.
  </Card>

  <Card title="Contact us" icon="envelope" href={CONTACT_URL}>
    Can't find the API you are looking for or having any question? Contact us now.
  </Card>

</CardGroup>;

export const SaftyWarning = () => <Warning>
  Please note that attempting to bypass our content safety restrictions to generate
  sexual, violent or other harmful content may result in a permanent ban on your account.
  </Warning>;

export const REGISTER_URL = 'https://monica.im/sign-up?redirectTo=https%3A%2F%2Fplatform.monica.im%2Fdashboard';

export const DASHBOARD_URL = 'https://platform.monica.im/dashboard';

export const CONTACT_URL = 'https://monica.im/feedback?platform=openapi';

<SaftyWarning />

## Make your first API call

Follow these simple steps to make your first API call with Monica Open API.

<Steps>
  <Step title="Create Your Monica Account">
    <a href={`${REGISTER_URL}`} target="_blank">Click here</a> to sign up for your Monica account.
  </Step>

  <Step title="Set Up Payment">
    Link a payment method and add funds to your account through <a href={`${DASHBOARD_URL}/billing`} target="_blank">your billing page</a>.<br />A positive balance is required to use the API.

    If you encountered any payment issues, please <a href={`${CONTACT_URL}&issueType=payment_issue`} target="_blank">contact us</a>.
  </Step>

  <Step title="Generate API Key">
    Visit the <a href={`${DASHBOARD_URL}/api_keys`} target="_blank">API keys page</a> to create your first API key.<br />Keep this key secure as it will be used to authenticate your API requests.
  </Step>

  <Step title="Make Your First API Call">
    Start integrating Monica's API using your generated API key.<br />Here's an example request:
    <Note> Replace `$YOUR_API_KEY` with the actual API key you generated in the previous step. </Note>

    ```shell theme={"system"}
    curl https://openapi.monica.im/v1/chat/completions \
      -H "Content-Type: application/json" \
      -H "Authorization: Bearer $YOUR_API_KEY" \
      -d '{
      "model": "gpt-4o",
      "messages": [
        {
          "role": "user",
          "content": [
            {
              "type": "text",
              "text": "Hi!"
            }
          ]
        }
      ]
    }'
    ```
  </Step>
</Steps>

## What's next?

Explore available API endpoints and their functionalities:

* [Chat](/docs/en/chat/chat)
* [Image generations](/docs/en/image-generation/flux)
* [Image tools](/docs/en/image-tools/upscale)

More info about the API:

* [Pricing](/docs/en/models-and-pricing)
* [Rate Limits](/docs/en/rate-limits)
* [Errors](/docs/en/errors)

## Need help?

<SupportCardGroup />
